Subject: Re: bug#55887: global-whitespace-mode and WCAG Accessibility Standards

From: goncholden <[email-masked]>
Date: Fri, 10 Jun 2022 17:54:33 +0000

------- Original Message -------
On Friday, June 10th, 2022 at 9:58 PM, Lars Ingebrigtsen <[email-masked]> wrote:

> goncholden [email-masked] writes:
>
> > I have been using global-whitespace-mode to highlight tabs and trailing spaces.
> >
> > Trailing spaces look good in red, but the colour used for highlighting
> > tabs does not look good when one is using a dark background. Can the
> > contrast ratio be changed so that it adheres to WCAG Standard used for
> > Colour Accessibility?
>
>
> The colours look fine to me:

If you look at the contrast ratio, you will find that it is very low, a mere 1.59.  You should do some homework to ensure a contrast ratio of at least 4.5:1 exists between text and background behind the text.

Because it looks good to you, it does not necessarily mean it is good.  Insisting that it looks good because it is good for you means that the project does not care about accessibility.  I cannot see it at all and the thing that saved me was having the tab marks showing up.  At a contrast of 3.5, I can see it, confirming that the WCAG Standard in a very good standard to use.

Rather than simply using grey, the thing to de is select colours from the colour wheel (e.g triadic colours) so you can have  an adequate colour vibrancy.  Because whilst you use a vibrant red for trailing spaces, whitespace-mode does not continue with the colour vibrancy for highlighting the rest.

>
> If you want a different colour, then change the colour of that face.
>
> Closing.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
> bloggy blog: http://lars.ingebrigtsen.no